FSSAI License Check API

AI Tools

VALIDATE FSSAI LICENSE NUMBER AND RETRIEVE FBO DETAILS


Introduction

Food Safety and Standards Authority of India (FSSAI), a statutory body under The Ministry of Health and Family Welfare, Government of India, assigns a unique 14 digit license to the food product manufacturing and distribution companies, also known as FSSAI License Number, to be displayed on the food product packaging. According to the Food Safety and Standards Act of 2006, this license proves that the FBO is in compliance and has a valid license.

This API offers a real time verification of the FSSAI license number. For a provided FSSAI number, this API returns if the license number is active and returns the associated details.

API Outcome

  • Name of the entity

  • License status, type and category

  • Registered address

  • List of products

The legacy data processing model is being formally deprecated.

In order to ensure continued compliance with the Digital Personal Data Protection Act, 2023 (DPDP Act), we are implementing DPDP V3 (Consent-Driven Processing). Under this framework, clients are required to obtain explicit, informed, and verifiable consent from the data principal prior to accessing, processing, viewing, or storing any personal data through the platform. This regulatory transition may require modifications to existing configurations and workflows. Clients are advised to review and update their implementations to ensure ongoing compliance with applicable data protection obligations. Further information regarding this transition can be enquired here. Learn more about this change here.

API Details

Request

Type

URL

POST

https://api.attestr.com/api/{version}/public/checkx/fssai

Request Header Parameters

Type

Name

Value / Description

Optional

Min Version

Max Version

String

Content-Type

application/json

Required

v1


String

Authorization

Basic {authToken}

Required

v1


Request Body Parameters

Type

Name

Description

Optional (default)

Min Version

Max Version

String

reg

Input FSSAI number to be verified.

Required

v1


Boolean

fetchProducts

Fetch list of registered products

Optional

v1


Info

If you do not have the authentication token, please refer to Register App to generate one.

Sample Request Body

{ "reg":"10013012000249", "fetchProducts": true }

Response

Http Status 200

Info

Please note that the valid key decides the availability of rest of the keys in the response. If provided license number is invalid, then all keys except valid and message are either omitted or set as null. If true, remaining keys will have appropriate data

Key

Description

Type

Min Version

Max Version

valid

Indicates if the provided FSSAI license exists and is valid. False if the license number does not exist.

String

v1


message

Error message if valid is false

String

v1


status

Status of FSSAI license registration e.g. License Issued etc.

String

v1


active

True if the license is currently active, false otherwise.

Boolean

v1


entity

Name of the registered company

String

v1


reg

FSSAI license number. Same as input reg value.

String

v1


uuid

Unique FBO Id as registered with FSSAI

String

v1


category

License category - State or Central

String

v1


state

State where license is registered

String

v1


address

Premise address of the registered entity

String

v1


zip

Pin code of the premises

String

v1


products

List of registered products. Set as null or empty array if fetchProducts is set as false in the API input.

Array of FSSAIProduct object

v1


FSSAIProduct Object

Key

Description

Type

Min Version

Max Version

name

Name of the product

String

v1


role

Role of the entity i.e General manufacturer, marketer etc.

String

v1


natureOfBusiness

Type of activity involved in the product

String

v1


active

Indicates if this product registration is currently active, false otherwise

Boolean

v1


type

Type of product

String

v1


Sample Response For Valid License Number

{ "valid": true, "message": null, "status": "License Issued", "active": true, "entity": "Patanjali Ayurved Ltd.", "reg": "10013012000249", "uuid": 66751215, "category": "Central License", "state": "Uttarakhand", "address": "Unit-II, Maharishi Dayananad Gram, Beside Divya Nursery, Near Yogpeeth, Roorkee Road, Haridwar, ", "zip": 249402, "products": [ { "name": "Jams, Fruit Jellies and Marmalades", "role": " General Manufacturing", "natureOfBusiness": "Manufacturer - General Manufacturing", "active": true, "type": null }, { "name": "Murabba", "role": " General Manufacturing", "natureOfBusiness": "Manufacturer - General Manufacturing", "active": true, "type": null } ] }

Sample Response For Invalid License Number

{ "valid": false, "message": "No matching record found", "status": null, "active": null, "entity": null, "reg": null, "uuid": null, "category": null, "state": null, "address": null, "zip": null, "products": null }

Error Response

Error Codes

HTTP Status

Error Code

Error Message

400

4001

Malformed data or missing required parameter values

400

4005

Operation could not be performed due to low credits balance

401

4016

Invalid client authorization

403

4031

Unauthorized access

403

4035

Requested service is not provisioned for your account

403

4039

Client's IP address is not whitelisted

403

4035

Requested service is not provisioned for your account

429

4291

Maximum account rate limit exceeded

429

4292

Maximum API rate limit exceeded

429

4293

Maximum account daily limit exceeded

429

4294

Maximum API daily limit exceeded

500

5001

Request could not be processed

Parameter

Type

Description

code

Number

Unique error codes for different errors. Always available.

message

String

Error message describing the error. Always Available.

details

String

Detail error message. Available only for certain types of errors.

Sample Error Response

{ "httpStatusCode": 400, "code": 4001, "message": "Malformed data or missing required parameter values", "appError": true }


  Last updated